<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * 画像登録ログ表示
 *
 * @package     Admin.Itemmanage.Import.Image.Log
 * @author      netnee 
 * @access      public
 */
class Admin_Itemmanage_Import_Image_Log
{
    var $title;
    var $pagename;

    var $imageimport;
    var $actionChain;

    var $content;


    /**
     * エラーチェックとデータ整形のみ
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("start", "Admin_Itemmanage_Import_Image_Result");

        $this->setLogContents();

        return 'success';
    }

    function setLogContents() {
        $this->content = array();
        // ログ
        $logfile = IMAGE_IMPORT_DIR.'/image_import_log.txt';
        if (($logfp = fopen($logfile, "r")) !== false) {
            while (!feof($logfp)) {
                $buffer = fgets($logfp, 4096);
                $this->content[] = $buffer;
            }
            fclose($logfp);
        }
    }
}
?>
